Intel® C++ Compiler
Community support and assistance for creating C++ code that runs on platforms based on Intel® processors.

Installing an old version of PSXE

velvia
Beginner
297 Views

Hi,

Is it OK to install an old version of parallel studio XE on top of a new one so we can test both?

I have PSXE 2017 update 1 and I would like to install PSXE 2016 update 2 and keep the first one. Is there anything special to take care of?

Best regards,

Francois

0 Kudos
3 Replies
TimP
Black Belt
297 Views

The option to select the newer one in Visual Studio GUI (if you integrate with the same VS versions) may disappear until you repair the newer installation.  That PSXE16 version doesn't work with any recent VS2015.

0 Kudos
velvia
Beginner
297 Views

Sorry. I forgot to mention I am running CentOS 7 Linux.

0 Kudos
TimP
Black Belt
297 Views

velvia wrote:

Sorry. I forgot to mention I am running CentOS 7 Linux.

Then there should be no problem with multiple icc versions, if you source the specific compilervars scripts  (unless with disk space).  Besides, there are separate symlinks for PSXE16 and 17.

0 Kudos
Reply